Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSSetTarget

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSActionObject
              com.flagstone.transform.FSSetTarget

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSSetTarget

extends FSActionObject

FSSetTarget is used to control the time-line of a particular movie clip.

The action performs a "context switch". All following actions such as GotoFrame, Play, etc. will be applied to the specified object until another FSSetTarget action is executed. Setting the target to be the empty string ("") returns the target to the movie's main timeline.

Attributes
type | Identifies the action when it is encoded. Read-only.
target | The name assigned to a movie clip. Names are assigned using the FSPlaceObject2 class when the movie clip is placed on the Flash Player's Display List.

# Example

      // Direct all subsequent actions to this movie clip

      actions.add(new FSSetTarget("/MovieClip:3"));
      ...
      <movie clip actions>
      ...

      // Restore the actions to the main movie timeline

      actions.add(new FSSetTarget(""));

# History

The FSSetTarget class represents the SetTarget action of the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 3.

Field Summary

Fields inherited from class com.flagstone.transform.FSActionObject
`Call, ExceptionHandler, GetUrl, GetUrl2, GotoFrame, GotoFrame2, GotoLabel, If, Jump, length, NewFunction, NewFunction2, Push, RegisterCopy, SetTarget, Table, type, WaitForFrame, WaitForFrame2, With`

Constructor Summary
`FSSetTarget(FSCoder coder)` Construct an FSSetTarget object, initialising it with values decoded from an encoded object.
`FSSetTarget(FSSetTarget obj)` Constructs an FSSetTarget object by copying values from an existing object.
`FSSetTarget(java.lang.String aString)` Constructs an FSSetTarget action that changes the context to the specified target.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`java.lang.String` | `getTarget()` Gets the name of the target movie clip.
`int` | `length(FSCoder coder)`
`void` | `setTarget(java.lang.String aString)` Sets the name of the target movie clip.

Methods inherited from class com.flagstone.transform.FSActionObject
`getType, length`

Methods inherited from class com.flagstone.transform.FSTransformObject
`clone, name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSSetTarget

    public FSSetTarget(FSCoder coder)

  Construct an FSSetTarget object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSSetTarget

    public FSSetTarget(java.lang.String aString)

  Constructs an FSSetTarget action that changes the context to the specified target.

  Parameters:
    `aString` - the name of a movie clip.

### FSSetTarget

    public FSSetTarget(FSSetTarget obj)

  Constructs an FSSetTarget object by copying values from an existing object.

  Parameters:
    `obj` - an FSSetTarget object.

Method Detail

### getTarget

    public java.lang.String getTarget()

  Gets the name of the target movie clip.

  Returns:
    the name of the target movie clip.

### setTarget

    public void setTarget(java.lang.String aString)

  Sets the name of the target movie clip.

  Parameters:
    `aString` - the name of a movie clip.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSActionObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSActionObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Specified by:
    `appendDescription` in class `FSTransformObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSActionObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSActionObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSActionObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD